Subject: Re: [PATCH 06/18] revert: Propogate errors upwards from do_pick_commit

From: Jonathan Nieder <[email-masked]>
Date: Wed, 27 Jul 2011 06:39:08 +0200

Ramkumar Ramachandra wrote:

> Currently, revert_or_cherry_pick can fail in two ways.  If it
> encounters a conflict, it returns a positive number indicating the
> intended exit status for the git wrapper to pass on; for all other
> errors, it calls die().  The latter behavior is inconsiderate towards
> callers, as it denies them the opportunity to recover from errors and
> do other things.

Patch 5 is good.  I still find patch 6 unconvincing, since it makes
the behavior inconsistent (there are still many ways for
revert_or_cherry_pick to exit() or die()), does not help with anything
that comes later, and it is more of a burden than most of the rest of
the patches to review (since one has to look at context not contained
in the diff to see if it is safe to continue running after an error
that previously would exit).  In the long term, I really do want this
change, though.  If you'd like, I can rebase to put it at the end of
the series (which shouldn't be hard).